> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/organisations/{organisationId}

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/organisations/{organisationId}
```

where `{organisationId}` is the ID of an organization.

## Supported methods and overview&#x20;

* `DELETE` - used to remove an organization (specified by `organisationId`) configured on the Covata Platform (available to Safe Share administrators only).

> [!NOTE]
>
> This method takes no parameters.

## Detailed description&#x20;

This API endpoint removes an organization (specified by `organisationId`) configured on the Covata Platform by a Safe Share administrator. \

**Note:** If this organization contains at least one Covata user with the [Originator](/3.3/admin-org/administering-users-within-an-organisation.md#originator-role) role, then requests to this endpoint will fail. To remove such an organization:

1. All Covata users with the **Originator** role must first be removed from this organization (see [\<access-service>/api/v1/organisations/\{orgGroupId}/users/\{userId}](/3.3/api/access-service-api-v1-organisations-orggroupid-users-userid.md)).
2. Make a request to this API endpoint.

## Supported roles&#x20;

This API endpoint supports the following Covata user [roles](/3.3/admin-platform/administering-platform-administrator-users.md#platform-administrators-and-user-roles) (as described in the [Safe Share Administrator's Guide](/3.3/admin-platform.md)):

* [Safe Share administrator](/3.3/admin-platform/administering-platform-administrator-users.md#platform-administrator-role)

The Covata Platform's resources available to a Covata user meeting the criteria above is determined by the access token submitted in the [header](/3.3/api/access-service-api-v1-organisations-organisationid.md#access-service-api-v1-organisations-organisationid-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...`

## Returns&#x20;

If the request succeeded, then an HTTP response status `200 OK` is returned.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.